package es.us.ccia.dummy;

import java.awt.*; //para usar fuente arial 10.

import es.us.ccia.contexto.Contexto;
import es.us.ccia.dummy.dibujo.GUI;
import es.us.ccia.dummy.teoria.*;
import es.us.ccia.razonador.*;
import es.us.ccia.rcc.RCC;
import es.us.tad.Salida;


public class DummyPaella 
{


	private static EntornoGD gUI;
	private static Teoria teoria;
	public static int Razonamiento;
	
	public DummyPaella() {
		super();
		Salida.inicializar(true);

		System.out.println(System.getProperty("java.library.path"));

		teoria   = new Teoria(); 
		Contexto.inicializar("pordefecto");
		Razonamiento = RCC.DummyRCC5;
		Razonador.inicializar(Razonamiento,null);
		gUI      = new EntornoGD();
		gUI.init();
	}
	
	public void inicializar() {
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		gUI.setSize(screenSize.width,screenSize.height);
		gUI.setBackground( Color.lightGray );
		gUI.setVisible(true);
		
		
		
	}
		
	public static Teoria getTeoria() {
		return teoria;
	}
	
	public static GUI getGUI() {
		if (gUI==null)
			Salida.Imprimirln("GUI NULO");
		return gUI;
	}
	
	
	static public void main( String args[] ) {
		DummyPaella d = new DummyPaella();
		d.inicializar();
	}

}

