package es.us.ccia.dummy.historial.estadof;
/**
 * Version 0.9: 
 *    20080920
 *    - Implementacion del cambio de  (DC -> EC)
 *     
 *==================================================
 * TODO: 
 *    - 
 *    
 */

import java.util.Collection;
import java.util.Iterator;

import javax.swing.JOptionPane;

import es.us.ccia.contexto.Contexto;
import es.us.ccia.contexto.elementos.*;
import es.us.ccia.dummy.historial.Cambio;
import es.us.ccia.rcc.RCC;
import es.us.tad.Salida;


@SuppressWarnings("unchecked")
public class EQ5 extends Cambio {

	/**
	 * Constructor del cambio DR - EQ5
	 * @param _a Clase 1 a cambiar
	 * @param _b Clase 2 a cambiar
	 * @param _act Clase que provoca el cambio.
	 */
	public EQ5(FCAAttribute _a, FCAAttribute _b) {
		super(_a, _b, RCC.DR, RCC.EQ5, null);
	}

	
	public void ejecutar() {
		Salida.Imprimir("Final situation: EQ");

		Collection obj_a = Contexto.get_ObjetosClase((FCAAttribute)getClaseA());
		
		Iterator ita = obj_a.iterator();
		while (ita.hasNext()) {
			FCAObject ind = (FCAObject)ita.next();
			Contexto.addRelation((FCAAttribute)getClaseB(), ind);
		}
		Collection lb = Contexto.get_ObjetosClase((FCAAttribute)getClaseB());		
		Iterator it2 = lb.iterator();
		while (it2.hasNext()) {
			FCAObject ind = (FCAObject)it2.next();
			Contexto.addRelation((FCAAttribute)getClaseA(),ind);
		}

		JOptionPane.showMessageDialog(null,
				getClaseA() + " & " + getClaseB() + " are equivalent now.");

		
		
	}

}
